
rm(list = ls()); gc()
recipe_file <- "recipes/recipe_1_nadia_scorecards.yml"

source("modules/Loading/Loading.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")

for (smonth in 3:12) {
  ## Define recipe needed to load calibrated data and skill metrics
  recipe <- read_yaml(recipe_file)
  recipe$Analysis$Time$sdate <- paste0(sprintf("%02d", smonth), '01')
  ## Load datasets
  data <- load_datasets(recipe_file)


  ## Compute skill metrics of raw dataauto
  skill_metrics <- compute_skill_metrics(data$hcst, data$obs, recipe) 

  archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive

  save_data(recipe, archive, data, skill_metrics = skill_metrics)  
}


# rm(list=ls())
# 
# load/Start/nc2array # leer metrics
# var <- 'tas'
# 
# scordcards <- function(data_cube, recipe, skill_metric, var.name) {
#   #plevel <- '' #data_cube$hcst$variable$plevel ????
#   var.unit <- attributes(data_cube$hcst$Variable)$variable$units
#   #var.filename <- paste(tolower(var.name), collapse = "_")
#   var.name <-  dictionary$vars[[variable]]$long_name
#   var.code <- dictionary$vars[[variable]]
#   system.filename <- recipe$Analysis$Datasets$System$name
#   lead.months <- (recipe$Analysis$Time$leadtimemin + 1):
#                (recipe$Analysis$Time$leadtimemax + 1)
#   start.year <- recipe$An
#   #varid <- 666 ## not necessary

scorecard.type <- 1 # 1,2,3,4

start.year <- recipe$Analysis$Time$hcst_start ## 1993
end.year <- recipe$Analysis$Time$hcst_end ## 2016

system.filename <- archive$System[[recipe$Analysis$Datasets$System$name]]$system_filename ## 'ecmwfs5' 
system.name <- archive$System[[recipe$Analysis$Datasets$System$name]]$system_name ## 'ECMWF System 5'

reference.filename <- archive$Reference[[recipe$Analysis$Datasets$Reference$name]]$reference_filename ## 'era5'
reference.name <- archive$Reference[[recipe$Analysis$Datasets$Reference$name]]$reference_name ## 'ERA5'

var.unit <- variable-dictionary$vars[[recipe$Analysis$Variables$name]]$units ## 'K'
var.filename <- recipe$Analysis$Variables$name ## 'tas'
var.name <- variable-dictionary$vars[[recipe$Analysis$Variables$name]]$long_name ## '2m Temperature'
plevel <- '' # because single levels

#   
# ## Scorecards script
#     source("/esarchive/scratch/nmilders/scorecards_code/scorecards_simple.R")
# }
# 
# scordcards(data, recipe, skill_metric)

